apiVersion: v1
kind: PersistentVolumeClaim
metadata:
    name: openldap-pvc
    namespace: dev-stuff
spec:
    storageClassName: ENC[AES256_GCM,data:T/bhK7txj2vZuA==,iv:fFgnRFz/7rn0lwP2tpniSmnZrXu0BZXod1XN0n4Vb9k=,tag:LOyUTp8BRukZzArXxJAwqg==,type:str]
    accessModes:
        - ENC[AES256_GCM,data:z43uNNqZfLPKhXCdxQ==,iv:mR1bEmMi947W8lMm3dRJmP5FAb5ad2q0hVVm4v3/zRo=,tag:Zju/Ws3YWcCRvKd8y3XPMQ==,type:str]
    resources:
        requests:
            storage: ENC[AES256_GCM,data:K5ki,iv:VUqFWaZ6QtcPMQVkRez8zvxh7Idd3ZqoP15zDRK8K/0=,tag:sdKBKOGpUTprwCbbYFokUA==,type:str]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSBhbmRFMXZDQnczdmUySlVn
            TWJoeDFwTDlpL0hxeWdJVjBHWWJLY1FRS3dnCkVZS2JPQjVqWklidUozQkR3OWFE
            OGtISExJKzVGc0JQVmY0OWFQM09Ya1UKLS0tIDE0VUkxWTBsWUF4MUMrWEpxRGph
            WVRHWkQxNm50dDJkcHpxRWpjVkJKTW8K7R58IGHq14r+Ui5NhsrDj0RMjZT9QzzG
            mJ0Q4JYUhdbxhkf0DHT1wzZ6ZO+OGWcLDesyqa/M+uqK0k4fcKse3g==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-29T21:30:59Z"
    mac: ENC[AES256_GCM,data:cuW3zfggrcViAC/a9AAZz7wd4pdsZm9EEwxyuz26xG7vz/C5DdSvHtgXMtciiC5UX+pz+gLJLgKIYXO50ul8oEcAB8BiDGekxPe1o52XiVIrdVEo4CtAW7MJstFUgJ/v9X/cc61avW3p1T2Zzimvdfxt00aIe04y7DJUaD04bz8=,iv:o+bHy4qNpAnBPzuoASrwFw1JE8rk+/qnqohQa24bUdY=,tag:oCRmGb/bOVy4mszcAkA/vA==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
---
apiVersion: v1
kind: Service
metadata:
    labels:
        app: openldap
    name: openldap-ldaps-svc
    namespace: dev-stuff
spec:
    type: ClusterIP
    ports:
        - port: ENC[AES256_GCM,data:CqCgzg==,iv:fK5spB2O/lzXhWgHJhpxdeIRaFxkMzgeHI4FpW0rUe0=,tag:EltYaT969vi1S7YD1oeD1w==,type:int]
          protocol: ENC[AES256_GCM,data:yfoA,iv:iMjUYwFWIMUMP/eNH01FVxWb/6YfZ0oVFkJ0xnPs0+M=,tag:8PYsNjCEXeEp7DNRneF1WQ==,type:str]
          targetPort: ENC[AES256_GCM,data:GqrJlA==,iv:LL3i7Rh3Ijqt9Fr6B/w5x6p1U0It/BNTGvrgjPV6vdk=,tag:fcb3EROEAiQj2XswZUmK2Q==,type:int]
    selector:
        app: ENC[AES256_GCM,data:Wpu7i1K1bxY=,iv:WIjzJaE8NpX449hkS3zEEPtECzftgFp2uMiA9RQOoMY=,tag:ZdGX/peY0fVYb4Xt8MaN4Q==,type:str]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSBhbmRFMXZDQnczdmUySlVn
            TWJoeDFwTDlpL0hxeWdJVjBHWWJLY1FRS3dnCkVZS2JPQjVqWklidUozQkR3OWFE
            OGtISExJKzVGc0JQVmY0OWFQM09Ya1UKLS0tIDE0VUkxWTBsWUF4MUMrWEpxRGph
            WVRHWkQxNm50dDJkcHpxRWpjVkJKTW8K7R58IGHq14r+Ui5NhsrDj0RMjZT9QzzG
            mJ0Q4JYUhdbxhkf0DHT1wzZ6ZO+OGWcLDesyqa/M+uqK0k4fcKse3g==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-29T21:30:59Z"
    mac: ENC[AES256_GCM,data:cuW3zfggrcViAC/a9AAZz7wd4pdsZm9EEwxyuz26xG7vz/C5DdSvHtgXMtciiC5UX+pz+gLJLgKIYXO50ul8oEcAB8BiDGekxPe1o52XiVIrdVEo4CtAW7MJstFUgJ/v9X/cc61avW3p1T2Zzimvdfxt00aIe04y7DJUaD04bz8=,iv:o+bHy4qNpAnBPzuoASrwFw1JE8rk+/qnqohQa24bUdY=,tag:oCRmGb/bOVy4mszcAkA/vA==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
---
apiVersion: apps/v1
kind: Deployment
metadata:
    name: openldap
    namespace: dev-stuff
    labels:
        app: openldap
spec:
    replicas: ENC[AES256_GCM,data:wg==,iv:dkCnIz6psDWRV6MW7ZR+SvKVJWEoW7PB33zaqyXKACg=,tag:i5SNiMekAvteQ4Y3Bea7CQ==,type:int]
    selector:
        matchLabels:
            app: ENC[AES256_GCM,data:4ghetZzVooI=,iv:H/4Hue0ouv+zA2RkQFENqk7Qx0ZJXu7yPOOJqeD15mU=,tag:LR9n2TwOhEMB0rYvAtVVbg==,type:str]
    template:
        metadata:
            labels:
                app: openldap
                name: openldap
        spec:
            containers:
                - name: ENC[AES256_GCM,data:/4mhoBEIs+Q=,iv:LkiBmdkglUjijxFyL86WO26sMdwPpH6+LR5fsFKHJBM=,tag:hxSBClaGUcM6H9mPywtN8A==,type:str]
                  image: ENC[AES256_GCM,data:+ogzuzphesWVlxvevJxwqQggIGzzO4o=,iv:QDH/jR40zXQW1GQYMir721ZWv+5l40OLvn3JupCVN9U=,tag:IOpLgZ2wCECUgMXSc4IJIw==,type:str]
                  imagePullPolicy: ENC[AES256_GCM,data:7IIQop5P4g1xiEHR,iv:frAniQoFSt0VJ0GcrA8/uTlvlfKsNWPcuSD8nvDZ9YA=,tag:rGHp7NYVcjig4LSbwsbAFQ==,type:str]
                  securityContext:
                    runAsUser: ENC[AES256_GCM,data:qQ==,iv:QAKuYVR5jTJdLvQY1PD+CGZk0C3cv5mSbASMentq00g=,tag:VvCLKor6MDZ5AjCAQBvg/w==,type:int]
                  env:
                    - name: ENC[AES256_GCM,data:qb+eKjLMbIkAvieZp9xn,iv:HyJuvnkLglt2ajbh3s5i6lEszlYnKV3ofcE1iGEYfw8=,tag:fPWBedt4AQNDe3LGTjrGXQ==,type:str]
                      value: ENC[AES256_GCM,data:LtoN,iv:/ClUO7f37w2ukIQJHyw80yZzKKj+i7//XUFC9q1jl48=,tag:c/RcywXXeg1dzDiHpb0QSQ==,type:str]
                    - name: ENC[AES256_GCM,data:Q6fLrqB69g9QIsP6PiaJ5JRA,iv:LvSn2z2nuYS2DwegnswgzJNSHGwuLuJy3SRZl/JGOLE=,tag:XCiaqJQcA32pnNCVKrlksQ==,type:str]
                      value: ENC[AES256_GCM,data:C8fJ/khnuTy2uiaw/Luhqn6VFKsESyOCS9R6V0WB,iv:HwIjYSH3EUNBSuOykiumR0OSKF5mu59TOhz5OQjZGnw=,tag:HfpsJAzi7ULhkX8EwN0Qcg==,type:str]
                    - name: ENC[AES256_GCM,data:6uk1DLcgSwkbNVvUl5CmcaY=,iv:3c1LmMLlJvK0AsNarfjrYjDrSKLu0lcTy6qW1OMEHwI=,tag:+i/+xX8LeoUdWyzGPhabbA==,type:str]
                      value: ENC[AES256_GCM,data:IsXs6xOd/LbAsvBuDGDjeEvKzfddfTJLQK5xSE0=,iv:9VGTgiuCpdWl21kcBx1MQJT0WZpL0jgD6B1hUHNkJJ8=,tag:s98QjcSIjOl+LNty2drl/A==,type:str]
                    - name: ENC[AES256_GCM,data:cnAlsrz8n9DtsQHOgDCzrA==,iv:4g4r0HAfRvgvDPwDsF/bICBe73+VqO3vjw9+oBBAA7w=,tag:0cOea2fq7Kgu+bpm2dLJtg==,type:str]
                      value: ENC[AES256_GCM,data:+c4GV7SR63NVDg7pZPd3sVbzhGIop7pwN9AtYQ==,iv:npmQCrlHSb1tniwmp1fkIcW35kTuVgiICrSGIwPmuxg=,tag:2HRlQ1I6kjup7UuHd34ldg==,type:str]
                  envFrom:
                    - secretRef:
                        name: ENC[AES256_GCM,data:dEOhI9mINIRHGdGtEz/p3FMwRRxOXg==,iv:LnX+N5WX4kZdR9i8yIAZS2rwN/wwbcYsw4Q/nzuQJg8=,tag:MXNLeOuvM5TVRTeqdQxNlQ==,type:str]
                  ports:
                    - containerPort: ENC[AES256_GCM,data:n6yRbQ==,iv:HvPA1v/YFPFTkiIb/isaEyoVJWtnvn/6wl6Qjwg27LA=,tag:FzRIAh4PD1CAKqumvT8fKQ==,type:int]
                  volumeMounts:
                    - name: ENC[AES256_GCM,data:pgzm57zH/Q6mmStetd2R,iv:yCQwLyndbw9wYT20Cuu9g99tIkfNOoVCCXeoj8TydkI=,tag:UytDYQWuIFyOOkFV81jI+w==,type:str]
                      mountPath: ENC[AES256_GCM,data:JEqRg7djOihnfQBYWTFcbS8=,iv:bRLqDHJk56YIPLx75W0PKHy3e34PCtY7ALxyLQMapDU=,tag:ASzWdXIvFncPxN4FzigOrQ==,type:str]
                    - name: ENC[AES256_GCM,data:b1C/UfQUzW+SPhxTfvX1v+Xvww==,iv:xLVL82SzmRYeZMOFiK/D+wjiTeQkTH8hJxiWKR2ezPI=,tag:MAzdGjpPywdsvYlYjUsWcA==,type:str]
                      mountPath: ENC[AES256_GCM,data:89iyaHl2p5Op7qCaRn4TLi7HDou3,iv:JySD1YkFagYu1Yar5lE8EVTQITR9vAd4whBpJ2Ck5vc=,tag:Wfx4koz9j/krklyzMN4Okg==,type:str]
                  resources: {}
                  lifecycle:
                    postStart:
                        exec:
                            command:
                                - ENC[AES256_GCM,data:mZ3aNZiViw==,iv:IKqRUh3xkLDmD3fKcnm2ZnNfBDFNwMr/EIO5sxVF97o=,tag:HeVRTmhpqX0lV3+h5dkz9g==,type:str]
                                - ENC[AES256_GCM,data:jxM=,iv:C5NiOJDHkjdf6ZwnanuNl9+/BgVYOj1MuKIxaZQWbpE=,tag:RaWFG8VZjW6RGQUiixZc4A==,type:str]
                                - ENC[AES256_GCM,data:QN4jufKXscUAA3AWVOLxaC/vXSzPkB1jtRIeKi//t6oXsjS+i459B6G7WvWEKZALc9DL3W6lvRYvGCU=,iv://fhZS7KNbI6/8AqW7IyAGsrBOf5zEw+AciOScmHyP0=,tag:Se2gAZG+P0J3B3eXvLiiiQ==,type:str]
            volumes:
                - name: ENC[AES256_GCM,data:uGt4DQuSBYYaZvtBwDQN,iv:TLwy9ZGARFp+TfbxjG69fUT6dyqCTx++uEOcNplYfMc=,tag:SDYgU7vr7mNTNx8Y8bNv1A==,type:str]
                  persistentVolumeClaim:
                    claimName: ENC[AES256_GCM,data:ND73GacLTwoHYcWN,iv:jG9G3AElR/1rgRkzfwlh3yMLfcRGlamuikmPPuaIkKI=,tag:rwNvkHMmUyUxoG0nsdCmcQ==,type:str]
                - name: ENC[AES256_GCM,data:JG24PLsAyX5GIMHdNoRkiaHd7g==,iv:j/jzslTuIjvcxszbkp8RTj2mBmG1jFPboE72zVCYHww=,tag:dxfEF1ceTcMZjwSRKamMlQ==,type:str]
                  secret:
                    secretName: ENC[AES256_GCM,data:DHu3VGGMkF1ksvsj,iv:11nyk8mM6+5V1osiZAKL0ajs1KaKaJCT0q1s0gzgIOE=,tag:kECyVRybd1x5Xs8TezgBkA==,type:str]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSBhbmRFMXZDQnczdmUySlVn
            TWJoeDFwTDlpL0hxeWdJVjBHWWJLY1FRS3dnCkVZS2JPQjVqWklidUozQkR3OWFE
            OGtISExJKzVGc0JQVmY0OWFQM09Ya1UKLS0tIDE0VUkxWTBsWUF4MUMrWEpxRGph
            WVRHWkQxNm50dDJkcHpxRWpjVkJKTW8K7R58IGHq14r+Ui5NhsrDj0RMjZT9QzzG
            mJ0Q4JYUhdbxhkf0DHT1wzZ6ZO+OGWcLDesyqa/M+uqK0k4fcKse3g==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-29T21:30:59Z"
    mac: ENC[AES256_GCM,data:cuW3zfggrcViAC/a9AAZz7wd4pdsZm9EEwxyuz26xG7vz/C5DdSvHtgXMtciiC5UX+pz+gLJLgKIYXO50ul8oEcAB8BiDGekxPe1o52XiVIrdVEo4CtAW7MJstFUgJ/v9X/cc61avW3p1T2Zzimvdfxt00aIe04y7DJUaD04bz8=,iv:o+bHy4qNpAnBPzuoASrwFw1JE8rk+/qnqohQa24bUdY=,tag:oCRmGb/bOVy4mszcAkA/vA==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
